Package org.pgpainless.sop

# Class RevokeKeyImpl

java.lang.Object
org.pgpainless.sop.RevokeKeyImpl

All Implemented Interfaces:
  `sop.operation.RevokeKey`

public class RevokeKeyImpl extends Object implements sop.operation.RevokeKey

## Constructor Summary

Constructors
Constructor
Description
`RevokeKeyImpl()`

## Method Summary

Modifier and Type
Method
Description
`sop.Ready`
`keys(InputStream keys)`
`sop.operation.RevokeKey`
`noArmor()`
`sop.operation.RevokeKey`
`withKeyPassword(byte[] password)`
Provide the decryption password for the secret key.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface sop.operation.RevokeKey

`keys, withKeyPassword`

## Constructor Details

### RevokeKeyImpl

public RevokeKeyImpl()

## Method Details

### noArmor

public sop.operation.RevokeKey noArmor()

Specified by:
  `noArmor` in interface `sop.operation.RevokeKey`

### withKeyPassword

public sop.operation.RevokeKey withKeyPassword(byte[] password) throws sop.exception.SOPGPException.UnsupportedOption, sop.exception.SOPGPException.PasswordNotHumanReadable
Provide the decryption password for the secret key.

Specified by:
  `withKeyPassword` in interface `sop.operation.RevokeKey`
Parameters:
  `password` - password
Returns:
  builder instance
Throws:
  `sop.exception.SOPGPException.UnsupportedOption` - if the implementation does not support key passwords
  `sop.exception.SOPGPException.PasswordNotHumanReadable` - if the password is not human-readable

### keys

public sop.Ready keys(InputStream keys) throws sop.exception.SOPGPException.BadData

Specified by:
  `keys` in interface `sop.operation.RevokeKey`
Throws:
  `sop.exception.SOPGPException.BadData`